| Classes - Annotated - Tree - Functions - Home - Structure

# QFileIconProvider Class Reference

The QFileIconProvider class provides icons for QFileDialog to use. More...

`#include <qfiledialog.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QFileIconProvider ( QObject * parent = 0, const char * name = 0 )
- virtual const QPixmap* pixmap ( const QFileInfo & )

## Detailed Description

The QFileIconProvider class provides icons for QFileDialog to use.

By default, QFileIconProvider is not used, but any application or library can subclass it, reimplement pixmap() to return a suitable icon, and make all QFileDialog objects use it by calling the static function QFileDialog::setIconProvider().

It's advisable to make all the icons QFileIconProvider returns be of the same size, or at least the same width. This makes the list view look much better.

See also QFileDialog.

## Member Function Documentation

### QFileIconProvider::QFileIconProvider ( QObject * parent = 0, const char * name = 0 )

Constructs an empty file icon provider.

### const QPixmap * QFileIconProvider::pixmap ( const QFileInfo & info ) `[virtual]`

Returns a pointer to a pixmap which should be used for visualizing the file with the information info.

If pixmap() returns 0, QFileDialog draws the default pixmap.

The default implementation returns particular icons for files, directories, link-files, link-directories, and blank for other types.

If you return a pixmap here, it should be of the size 16x16.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.